﻿package {
	import flash.display.*;
	import flash.events.*;
	import Content_Manager2;	// Import Content_Manager2
	
	public class Add_Page2 extends MovieClip {
		private var my_cm:Content_Manager2;	// Declare a variable to hold an instance of Content_Manager2
		
		public function Add_Page2() {
			// Define some objects that will be used with Tweener to animate things
			var close_tween = { y:440, time: 1, transition:"easeoutelastic" };	// This will set how objects move off the stage
			var open_tween = { y:40, time:1, transition:"easeoutelastic" };		// This will set how objects move onto the stage
			var start_values = { x:100, y:-400 };								// This object sets the intial starting properties of an object when it is added to the stage
			
			// Create a new instance of Content_Manager2. The first parameter sets the host clip. This is the clip that 
			// will clips that are added to the stage through Content_Manager2
			my_cm = new Content_Manager2( open_tween, close_tween, start_values );
			
			addChild( my_cm );	// Add an instance to the stage
			
			b_0.addEventListener( MouseEvent.CLICK, b_0_click );
			b_1.addEventListener( MouseEvent.CLICK, b_1_click );
			b_2.addEventListener( MouseEvent.CLICK, b_2_click );
		}
		
		
		private function b_0_click( evt:Event ):void {
			my_cm.add_content( OrangeBox );	// Add a linked symbol from the library
		}
		
		private function b_1_click( evt:Event ):void {
			my_cm.add_content( RedBox );
		}
		
		private function b_2_click( evt:Event ):void {
			my_cm.add_content( GreenBox );
		}
		
	}
}



