﻿package {
	import flash.display.*;
	import flash.events.*;
	import flash.geom.Point;
	
	public class RedBox extends MovieClip {
		private var my_bitmap:BitmapData;
		private var image:Bitmap;
		private var octaves:uint;
		private var point_array:Array = new Array();
		private var inc_array:Array = new Array();
		
		public function RedBox() {
			my_bitmap = new BitmapData( 228, 228, false, 0x000000 );
			
			addEventListener( Event.ENTER_FRAME, make_noise );
			
			octaves = 3;
			
			for ( var i = 0; i < octaves; i++ ) {
				point_array.push( new Point( 0, 0 ) );
				inc_array.push( Math.random() * 3 ) - 1.5;
			}
			
			image = new Bitmap( my_bitmap );
			addChild( image );
		}
		
		private function make_noise( evt:Event ):void {
			for ( var i = 0; i < octaves; i++ ) {
				point_array[i].x += inc_array[i];
			}
			my_bitmap.perlinNoise( 228, 228, octaves, 100, false, false, 6, false, point_array );
		}
		
		public function destroy():void {
			removeEventListener( Event.ENTER_FRAME, make_noise );
		}
	}
}
