﻿package {
	import flash.display.*;
	import flash.events.*;
	import caurina.transitions.Tweener;
	
	public class Content_Manager2 extends MovieClip {
		public var current_content:MovieClip;
		private var old_content:Array;
		private var open_tween:Object;	// Object to hold the tween that introduce a new clip
		private var close_tween:Object;	// Object to hold tween that exits a clip
		private var starting_values:Object;
		
		public function Content_Manager2( o_tween:Object, c_tween:Object, start_obj:Object ) {
			old_content = new Array();
			open_tween = o_tween;					
			close_tween = c_tween;
			close_tween.onComplete = remove_content;	// Make sure to add the onComplete call to remove_content
			
			starting_values = start_obj;
		}
		
		public function add_content( id ):MovieClip {
			if ( current_content != null ) {
				Tweener.addTween( current_content, close_tween ); 
				old_content.push( current_content );
			} 
			
			current_content = new id();
			
			for ( var p in starting_values ) {
				current_content[ p ] = starting_values[ p ];
			}
		
			Tweener.addTween( current_content, open_tween );
			addChild( current_content );
			return current_content;
		}
		
		private function remove_content():void {
			old_content[0].destroy();
			removeChild( old_content[0] );
			old_content.splice( 0, 1 );
		}
	}
}